This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Upgrade to ExtUtils::MakeMaker 6.37_03
authorRafael Garcia-Suarez <rgarciasuarez@gmail.com>
Tue, 27 Nov 2007 09:12:22 +0000 (09:12 +0000)
committerRafael Garcia-Suarez <rgarciasuarez@gmail.com>
Tue, 27 Nov 2007 09:12:22 +0000 (09:12 +0000)
p4raw-id: //depot/perl@32517

30 files changed:
lib/ExtUtils/Changes
lib/ExtUtils/Command/MM.pm
lib/ExtUtils/Liblist.pm
lib/ExtUtils/Liblist/Kid.pm
lib/ExtUtils/MM.pm
lib/ExtUtils/MM_AIX.pm
lib/ExtUtils/MM_Any.pm
lib/ExtUtils/MM_BeOS.pm
lib/ExtUtils/MM_Cygwin.pm
lib/ExtUtils/MM_DOS.pm
lib/ExtUtils/MM_MacOS.pm
lib/ExtUtils/MM_NW5.pm
lib/ExtUtils/MM_OS2.pm
lib/ExtUtils/MM_QNX.pm
lib/ExtUtils/MM_UWIN.pm
lib/ExtUtils/MM_Unix.pm
lib/ExtUtils/MM_VMS.pm
lib/ExtUtils/MM_VOS.pm
lib/ExtUtils/MM_Win32.pm
lib/ExtUtils/MM_Win95.pm
lib/ExtUtils/MY.pm
lib/ExtUtils/MakeMaker.pm
lib/ExtUtils/MakeMaker/Config.pm
lib/ExtUtils/MakeMaker/bytes.pm
lib/ExtUtils/MakeMaker/vmsish.pm
lib/ExtUtils/Mkbootstrap.pm
lib/ExtUtils/Mksymlists.pm
lib/ExtUtils/t/parse_version.t
lib/ExtUtils/testlib.pm
t/lib/MakeMaker/Test/Setup/XS.pm

index ab04dc1..e108776 100644 (file)
@@ -1,3 +1,14 @@
+6.37_03  Mon Nov 26 14:15:34 PST 2007
+    Tests
+    - parse_version.t had wrong test count when version.pm isn't installed.
+    - Fixed some warnings in the XS module we're using for testing.
+    - "our $VERSION" test in parse_version.t was never running
+    - Quoting uses of 1.2.3 style versions in parse_version.t to protect
+      older perls.
+
+    Portability
+    - Moved the minimum required version up to 5.6.0.
+
 6.37_02  Sun Nov 25 23:33:14 PST 2007
     Test Improvements
     - Added a test for a basic XS build.
index c11afba..c3b8462 100644 (file)
@@ -9,7 +9,7 @@ use vars qw($VERSION @ISA @EXPORT);
 
 @EXPORT  = qw(test_harness pod2man perllocal_install uninstall 
               warn_if_old_packlist);
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 my $Is_VMS = $^O eq 'VMS';
 
index c31508c..ec49551 100644 (file)
@@ -3,7 +3,7 @@ package ExtUtils::Liblist;
 use strict;
 
 use vars qw($VERSION @ISA);
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 use File::Spec;
 require ExtUtils::Liblist::Kid;
index 8564c14..9c4a3bb 100644 (file)
@@ -10,7 +10,7 @@ use 5.00503;
 
 use strict;
 use vars qw($VERSION);
-$VERSION = 6.37_02;
+$VERSION = 6.37_03;
 
 use Config;
 use Cwd 'cwd';
index 367d532..2a311cb 100644 (file)
@@ -3,7 +3,7 @@ package ExtUtils::MM;
 use strict;
 use ExtUtils::MakeMaker::Config;
 use vars qw(@ISA $VERSION);
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 require ExtUtils::Liblist;
 require ExtUtils::MakeMaker;
index 9bdbb8f..af36f24 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::MM_AIX;
 
 use strict;
 use vars qw($VERSION @ISA);
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 require ExtUtils::MM_Unix;
 @ISA = qw(ExtUtils::MM_Unix);
index 79155ae..a622a04 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::MM_Any;
 
 use strict;
 use vars qw($VERSION @ISA);
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 use Carp;
 use File::Spec;
index 718ae3c..41c350d 100644 (file)
@@ -27,7 +27,7 @@ require ExtUtils::MM_Unix;
 
 use vars qw(@ISA $VERSION);
 @ISA = qw( ExtUtils::MM_Any ExtUtils::MM_Unix );
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 
 =item os_flavor
index fe31655..398ea43 100644 (file)
@@ -10,7 +10,7 @@ require ExtUtils::MM_Any;
 require ExtUtils::MM_Unix;
 @ISA = qw( ExtUtils::MM_Any ExtUtils::MM_Unix );
 
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 
 =head1 NAME
index 629ede8..0a1f4dc 100644 (file)
@@ -3,7 +3,7 @@ package ExtUtils::MM_DOS;
 use strict;
 use vars qw($VERSION @ISA);
 
-$VERSION = 6.37_02;
+$VERSION = 6.37_03;
 
 require ExtUtils::MM_Any;
 require ExtUtils::MM_Unix;
index 0ebcc51..84937ae 100644 (file)
@@ -3,7 +3,7 @@ package ExtUtils::MM_MacOS;
 use strict;
 
 use vars qw($VERSION);
-$VERSION = 6.37_02;
+$VERSION = 6.37_03;
 
 sub new {
     die <<'UNSUPPORTED';
index a757d28..71f9076 100644 (file)
@@ -23,7 +23,7 @@ use ExtUtils::MakeMaker::Config;
 use File::Basename;
 
 use vars qw(@ISA $VERSION);
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 require ExtUtils::MM_Win32;
 @ISA = qw(ExtUtils::MM_Win32);
index 9bc3ae6..b57e8f4 100644 (file)
@@ -6,7 +6,7 @@ use vars qw($VERSION @ISA);
 use ExtUtils::MakeMaker qw(neatvalue);
 use File::Spec;
 
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 require ExtUtils::MM_Any;
 require ExtUtils::MM_Unix;
index ffd6cb4..83c14b7 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::MM_QNX;
 
 use strict;
 use vars qw($VERSION @ISA);
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 require ExtUtils::MM_Unix;
 @ISA = qw(ExtUtils::MM_Unix);
index d157607..119c9ad 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::MM_UWIN;
 
 use strict;
 use vars qw($VERSION @ISA);
-$VERSION = 6.37_02;
+$VERSION = 6.37_03;
 
 require ExtUtils::MM_Unix;
 @ISA = qw(ExtUtils::MM_Unix);
index 4d1f604..cc2f72c 100644 (file)
@@ -18,7 +18,7 @@ use vars qw($VERSION @ISA
 
 use ExtUtils::MakeMaker qw($Verbose neatvalue);
 
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 require ExtUtils::MM_Any;
 @ISA = qw(ExtUtils::MM_Any);
index bd70053..c368723 100644 (file)
@@ -18,7 +18,7 @@ use File::Basename;
 # $Revision can't be on the same line or SVN/K gets confused
 use vars qw($Revision
             $VERSION @ISA);
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 require ExtUtils::MM_Any;
 require ExtUtils::MM_Unix;
index d0aa96b..36a6f28 100644 (file)
@@ -2,7 +2,7 @@ package ExtUtils::MM_VOS;
 
 use strict;
 use vars qw($VERSION @ISA);
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 require ExtUtils::MM_Unix;
 @ISA = qw(ExtUtils::MM_Unix);
index fe65007..0c60bb8 100644 (file)
@@ -29,7 +29,7 @@ use vars qw(@ISA $VERSION);
 require ExtUtils::MM_Any;
 require ExtUtils::MM_Unix;
 @ISA = qw( ExtUtils::MM_Any ExtUtils::MM_Unix );
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 $ENV{EMXSHELL} = 'sh'; # to run `commands`
 
index 607058f..7f9898c 100644 (file)
@@ -3,7 +3,7 @@ package ExtUtils::MM_Win95;
 use strict;
 
 use vars qw($VERSION @ISA);
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 require ExtUtils::MM_Win32;
 @ISA = qw(ExtUtils::MM_Win32);
index 1a0acc3..a830b8d 100644 (file)
@@ -4,7 +4,7 @@ use strict;
 require ExtUtils::MM;
 
 use vars qw(@ISA $VERSION);
-$VERSION = 6.37_02;
+$VERSION = 6.37_03;
 @ISA = qw(ExtUtils::MM);
 
 {
index af3da88..ccbf42b 100644 (file)
@@ -1,4 +1,4 @@
-# $Id: /local/ExtUtils-MakeMaker/lib/ExtUtils/MakeMaker.pm 40883 2007-11-26T07:33:12.936163Z schwern  $
+# $Id: /local/ExtUtils-MakeMaker/lib/ExtUtils/MakeMaker.pm 40895 2007-11-26T22:15:59.362661Z schwern  $
 package ExtUtils::MakeMaker;
 
 BEGIN {require 5.005_03;}
@@ -21,8 +21,8 @@ use vars qw(
 use vars qw($Revision);
 use strict;
 
-$VERSION = '6.37_02';
-($Revision) = q$Revision: 40883 $ =~ /Revision:\s+(\S+)/;
+$VERSION = '6.37_03';
+($Revision) = q$Revision: 40895 $ =~ /Revision:\s+(\S+)/;
 
 @ISA = qw(Exporter);
 @EXPORT = qw(&WriteMakefile &writeMakefile $Verbose &prompt);
@@ -2188,7 +2188,7 @@ MakeMaker object. The following lines will be parsed o.k.:
 
     $VERSION = '1.00';
     *VERSION = \'1.01';
-    ($VERSION) = q$Revision: 40883 $ =~ /(\d+)/g;
+    ($VERSION) = q$Revision: 40895 $ =~ /(\d+)/g;
     $FOO::VERSION = '1.10';
     *FOO::VERSION = \'1.11';
     our $VERSION = 1.2.3;       # new for perl5.6.0
index 0574048..dcc4795 100644 (file)
@@ -1,6 +1,6 @@
 package ExtUtils::MakeMaker::Config;
 
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 use strict;
 use Config ();
index dd4d78a..e007242 100644 (file)
@@ -3,7 +3,7 @@ package ExtUtils::MakeMaker::bytes;
 use strict;
 
 use vars qw($VERSION);
-$VERSION = 6.37_02;
+$VERSION = 6.37_03;
 
 my $Have_Bytes = eval q{require bytes; 1;};
 
index 5194589..ac9c50a 100644 (file)
@@ -3,7 +3,7 @@ package ExtUtils::MakeMaker::vmsish;
 use strict;
 
 use vars qw($VERSION);
-$VERSION = 6.37_02;
+$VERSION = 6.37_03;
 
 my $IsVMS = $^O eq 'VMS';
 
index dfb2b82..3ab4065 100644 (file)
@@ -4,7 +4,7 @@ package ExtUtils::Mkbootstrap;
 use strict 'refs';
 
 use vars qw($VERSION @ISA @EXPORT);
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 require Exporter;
 @ISA = ('Exporter');
index a3f7aa3..a1cc911 100644 (file)
@@ -11,7 +11,7 @@ use Config;
 use vars qw(@ISA @EXPORT $VERSION);
 @ISA = 'Exporter';
 @EXPORT = '&Mksymlists';
-$VERSION = '6.37_02';
+$VERSION = '6.37_03';
 
 sub Mksymlists {
     my(%spec) = @_;
index 488e855..c21da4e 100644 (file)
@@ -14,31 +14,27 @@ chdir 't';
 use Test::More;
 use ExtUtils::MakeMaker;
 
-my $Has_Version = eval 'require version; "version"->import';
-my $Has_Our     = eval 'our $foo';
+my $Has_Version = eval 'require version; "version"->import; 1';
 
-my %versions = (q[$VERSION = '1.00']        => '1.00',
-                q[*VERSION = \'1.01']       => '1.01',
+my %versions = (q[$VERSION = '1.00']            => '1.00',
+                q[*VERSION = \'1.01']           => '1.01',
                 q[($VERSION) = q$Revision: 32208 $ =~ /(\d+)/g;] => 32208,
-                q[$FOO::VERSION = '1.10';]  => '1.10',
-                q[*FOO::VERSION = \'1.11';] => '1.11',
-                '$VERSION = 0.02'   => 0.02,
-                '$VERSION = 0.0'    => 0.0,
-                '$VERSION = -1.0'   => -1.0,
-                '$VERSION = undef'  => 'undef',
-                '$wibble  = 1.0'    => 'undef',
+                q[$FOO::VERSION = '1.10';]      => '1.10',
+                q[*FOO::VERSION = \'1.11';]     => '1.11',
+                '$VERSION = 0.02'               => 0.02,
+                '$VERSION = 0.0'                => 0.0,
+                '$VERSION = -1.0'               => -1.0,
+                '$VERSION = undef'              => 'undef',
+                '$wibble  = 1.0'                => 'undef',
                 q[my $VERSION = '1.01']         => 'undef',
                 q[local $VERISON = '1.02']      => 'undef',
                 q[local $FOO::VERSION = '1.30'] => 'undef',
+                q[our $VERSION = '1.23';]       => '1.23',
                );
 
-if( $Has_Our ) {
-    $versions{q[our $VERSION = '1.23';]}   = '1.23',
-}
-
 if( $Has_Version ) {
-    $versions{q[use version; $VERSION = qv(1.2.3);]} = qv(1.2.3);
-    $versions{q[$VERSION = qv(1.2.3)]}               = qv(1.2.3);
+    $versions{q[use version; $VERSION = qv("1.2.3");]} = qv("1.2.3");
+    $versions{q[$VERSION = qv("1.2.3")]}               = qv("1.2.3");
 }
 
 plan tests => (2 * keys %versions) + 4;
@@ -65,10 +61,13 @@ sub parse_version_string {
 }
 
 
+# This is a specific test to see if a version subroutine in the $VERSION
+# declaration confuses later calls to the version class.
+# [rt.cpan.org 30747]
 SKIP: {
-    skip "need version.pm", 2 unless $Has_Version;
+    skip "need version.pm", 4 unless $Has_Version;
     is parse_version_string(q[ $VERSION = '1.00'; sub version { $VERSION } ]),
        '1.00';
-    is parse_version_string(q[ use version; $VERSION = version->new(1.23) ]),
-       '1.23';
+    is parse_version_string(q[ use version; $VERSION = version->new("1.2.3") ]),
+       qv("1.2.3");
 }
index b7ac581..5d9af5b 100644 (file)
@@ -3,7 +3,7 @@ package ExtUtils::testlib;
 use strict;
 
 use vars qw($VERSION);
-$VERSION = 6.37_02;
+$VERSION = 6.37_03;
 
 use Cwd;
 use File::Spec;
index 33121a9..195fd56 100644 (file)
@@ -37,12 +37,14 @@ WriteMakefile(
 END
 
              'XS-Test/Test.xs'              => <<'END',
-#include "EXTERN.h";
-#include "perl.h";
-#include "XSUB.h";
+#include "EXTERN.h"
+#include "perl.h"
+#include "XSUB.h"
 
 MODULE = XS::Test       PACKAGE = XS::Test
 
+PROTOTYPES: DISABLE
+
 int
 is_even(input)
        int     input